> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Section 14a Case-3 module-change workflow



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/consumers/{userID}/contracts/{contractID}/product/switch_module/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/{userID}/contracts/{contractID}/product/switch_module/:
    post:
      tags:
        - consumers
      summary: Trigger Section 14a Case-3 module-change workflow
      operationId: grid_usage_module_change
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '202':
          description: Workflow accepted
        '400':
          description: Invalid request payload
        '409':
          description: In-flight workflow already exists
        '500':
          description: Workflow trigger failed

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.